%define  lib_name_orig libalsa
%define  api 0.3
%define  major 3
%define  lib_name %mklibname cmis %api %major
%define  develname %mklibname -d cmis%api
%define fname libcmis

Name: libcmis0.3
Version: 0.3.1
Release: %mkrel 5
Summary: A C++ client library for the CMIS interface
Group: System/Libraries
License: GPL+ or LGPLv2+ or MPLv1.1
URL: http://sourceforge.net/projects/libcmis/
Source: http://downloads.sourceforge.net/%{fname}/%{fname}-%{version}.tar.gz
Patch0:	fix-build.diff
BuildRequires: boost-devel
BuildRequires: libcurl-devel
BuildRequires: libxml2-devel
BuildRequires: docbook2x

%description
LibCMIS is a C++ client library for the CMIS interface. This allows C++
applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

#--------------------------------------------------------------------

%package -n %lib_name
Summary: Text categorization library
Group:   System/Libraries
Obsoletes: %{_lib}cmis2 < %{version}-%{release}

%description -n %lib_name
LibCMIS is a C++ client library for the CMIS interface. This allows C++
applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

%files -n %lib_name
%doc AUTHORS COPYING.GPL COPYING.LGPL COPYING.MPL README
%{_libdir}/%{fname}-%{api}.so.%{major}*
%{_libdir}/%{fname}-c-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{fname}
Group: Development/Other
Requires: %lib_name = %version-%release
Obsoletes: %{fname}-devel < %version-%release
Provides: %{fname}-devel = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %{develname}
The %{fname}-devel package contains libraries and header files for
developing applications that use %{fname}.

%files -n %{develname}
%{_includedir}/%{fname}-%{api}
%{_includedir}/%{fname}-c-%{api}
%{_libdir}/%{fname}-%{api}.so
%{_libdir}/%{fname}-c-%{api}.so
%{_libdir}/pkgconfig/%{fname}-%{api}.pc
%{_libdir}/pkgconfig/%{fname}-c-%{api}.pc

#--------------------------------------------------------------------

%package tools
Summary: Command line tool to access CMIS
Group:    Publishing

%description tools
The %{fname}-tools package contains a tool for accessing CMIS from the
command line.

%files tools
%{_bindir}/cmis-client
%{_mandir}/manx/cmis-client.xml.*

#--------------------------------------------------------------------

%prep
%setup -q -n %fname-%version
%apply_patches
sed -i -e 's/docbook-to-man/db2x_docbook2man/' configure configure.ac

%build
autoreconf -fi
%configure --disable-static --disable-tests --disable-werror --with-man=no
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 545912
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.3.1-4.mga4
+ Revision: 501979
- call autoreconf

* Thu Aug 22 2013 tv <tv> 0.3.1-3.mga4
+ Revision: 469721
- adapt to branching
- branch

  + fwang <fwang>
    - rebuild for new boost

* Wed Apr 10 2013 malo <malo> 0.3.1-2.mga3
+ Revision: 409462
- rebuild for boost 1.53

* Wed Mar 13 2013 tv <tv> 0.3.1-1.mga3
+ Revision: 402544
- new release

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-3.mga3
+ Revision: 356922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.3.0-2.mga3
+ Revision: 332932
- rebuild for new boost

* Mon Dec 17 2012 tv <tv> 0.3.0-1.mga3
+ Revision: 331909
- update file list
- patch 0: fix build
- new release

* Tue Jul 31 2012 fwang <fwang> 0.2.3-3.mga3
+ Revision: 276497
- rebuild for new boost

* Sun Jul 15 2012 fwang <fwang> 0.2.3-2.mga3
+ Revision: 270983
- update lib package policy

* Thu Jul 05 2012 dmorgan <dmorgan> 0.2.3-1.mga3
+ Revision: 267991
- New version

* Tue May 29 2012 ovitters <ovitters> 0.1.0-2.mga3
+ Revision: 249431
- rebuild due to new boost

  + dmorgan <dmorgan>
    - imported package libcmis

